//
//  setup_rapid_dlg.h - setup rapid dialog class implementation
//
//  $Id: setup_rapid_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupRapidDlg dialog
//
CSetupRapidDlg::CSetupRapidDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupRapidDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupRapidDlg)
	m_URapidAccel = "";
	m_URapidDecel = "";
	m_URapidRate = "";
	m_VRapidAccel = "";
	m_VRapidDecel = "";
	m_VRapidRate = "";
	m_WRapidAccel = "";
	m_WRapidDecel = "";
	m_WRapidRate = "";
	m_XRapidAccel = "";
	m_XRapidDecel = "";
	m_XRapidRate = "";
	m_YRapidAccel = "";
	m_YRapidDecel = "";
	m_YRapidRate = "";
	m_ZRapidAccel = "";
	m_ZRapidDecel = "";
	m_ZRapidRate = "";
	//}}AFX_DATA_INIT
}

void CSetupRapidDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupRapidDlg)
	DDX_Text(pDX, IDC_URAPIDACCEL, m_URapidAccel);
	DDX_Text(pDX, IDC_URAPIDDECEL, m_URapidDecel);
	DDX_Text(pDX, IDC_URAPIDRATE, m_URapidRate);
	DDX_Text(pDX, IDC_VRAPIDACCEL, m_VRapidAccel);
	DDX_Text(pDX, IDC_VRAPIDDECEL, m_VRapidDecel);
	DDX_Text(pDX, IDC_VRAPIDRATE, m_VRapidRate);
	DDX_Text(pDX, IDC_WRAPIDACCEL, m_WRapidAccel);
	DDX_Text(pDX, IDC_WRAPIDDECEL, m_WRapidDecel);
	DDX_Text(pDX, IDC_WRAPIDRATE, m_WRapidRate);
	DDX_Text(pDX, IDC_XRAPIDACCEL, m_XRapidAccel);
	DDX_Text(pDX, IDC_XRAPIDDECEL, m_XRapidDecel);
	DDX_Text(pDX, IDC_XRAPIDRATE, m_XRapidRate);
	DDX_Text(pDX, IDC_YRAPIDACCEL, m_YRapidAccel);
	DDX_Text(pDX, IDC_YRAPIDDECEL, m_YRapidDecel);
	DDX_Text(pDX, IDC_YRAPIDRATE, m_YRapidRate);
	DDX_Text(pDX, IDC_ZRAPIDACCEL, m_ZRapidAccel);
	DDX_Text(pDX, IDC_ZRAPIDDECEL, m_ZRapidDecel);
	DDX_Text(pDX, IDC_ZRAPIDRATE, m_ZRapidRate);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupRapidDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupRapidDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupRapidDlg message handlers
